Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class PushSubscriptionsResource

    java.lang.Object
      org.hornetq.rest.topic.PushSubscriptionsResource

    public class PushSubscriptionsResource

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected java.util.Map<java.lang.String,PushConsumer>` | `consumers`
`protected java.lang.String` | `destination`
`protected TopicPushStore` | `pushStore`
`protected java.util.concurrent.atomic.AtomicLong` | `sessionCounter`
`protected org.hornetq.api.core.client.ClientSessionFactory` | `sessionFactory`
`protected java.lang.String` | `startup`

Constructor Summary
`PushSubscriptionsResource()`

Method Summary
`void` | `addRegistration(PushTopicRegistration reg)`
`javax.ws.rs.core.Response` | `create(javax.ws.rs.core.UriInfo uriInfo, PushTopicRegistration registration)`
`org.hornetq.api.core.client.ClientSession` | `createSubscription(java.lang.String subscriptionName, boolean durable)`
`void` | `deleteConsumer(java.lang.String consumerId)`
`PushTopicRegistration` | `getConsumer(java.lang.String consumerId)`
`java.util.Map<java.lang.String,PushConsumer>` | `getConsumers()`
`java.lang.String` | `getDestination()`
`TopicPushStore` | `getPushStore()`
`org.hornetq.api.core.client.ClientSessionFactory` | `getSessionFactory()`
`void` | `setDestination(java.lang.String destination)`
`void` | `setPushStore(TopicPushStore pushStore)`
`void` | `setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumers

    protected java.util.Map<java.lang.String,PushConsumer> consumers

### sessionFactory

    protected org.hornetq.api.core.client.ClientSessionFactory sessionFactory

### destination

    protected java.lang.String destination

### startup

    protected final java.lang.String startup

### sessionCounter

    protected final java.util.concurrent.atomic.AtomicLong sessionCounter

### pushStore

    protected TopicPushStore pushStore

Constructor Detail

### PushSubscriptionsResource

    public PushSubscriptionsResource()

Method Detail

### stop

    public void stop()

### getPushStore

    public TopicPushStore getPushStore()

### setPushStore

    public void setPushStore(TopicPushStore pushStore)

### createSubscription

    public org.hornetq.api.core.client.ClientSession createSubscription(java.lang.String subscriptionName,
                                                                        boolean durable)

### addRegistration

    public void addRegistration(PushTopicRegistration reg)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### create

    public javax.ws.rs.core.Response create(@Context
                                            javax.ws.rs.core.UriInfo uriInfo,
                                            PushTopicRegistration registration)

### getConsumer

    public PushTopicRegistration getConsumer(java.lang.String consumerId)

### deleteConsumer

    public void deleteConsumer(java.lang.String consumerId)

### getConsumers

    public java.util.Map<java.lang.String,PushConsumer> getConsumers()

### getSessionFactory

    public org.hornetq.api.core.client.ClientSessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.